var el = wp.element.createElement,
    registerBlockType = wp.blocks.registerBlockType,
    TextControl = wp.components.TextControl,
    InspectorControls = wp.editor.InspectorControls;
    blockStyle = { fontFamily:'Roboto', backgroundColor: '#900', color: '#fff', padding: '20px' };

const iconEl = el('svg', { width: 20, height: 20 },
  el('path', { d: "M16.1,16.6h-2.5c-1,0-1.9-0.6-2.4-1.5L11,14.5c-0.2-0.4-0.5-0.6-0.9-0.6c-0.4,0-0.8,0.2-0.9,0.6l-0.3,0.6 c-0.4,0.9-1.3,1.5-2.4,1.5H3.9c-2.2,0-3.9-1.8-3.9-3.9V7.3c0-2.2,1.8-3.9,3.9-3.9h12.2c2.2,0,3.9,1.8,3.9,3.9v1.5 c0,0.4-0.3,0.8-0.8,0.8c-0.4,0-0.8-0.3-0.8-0.8V7.3c0-1.3-1.1-2.3-2.3-2.3H3.9C2.6,4.9,1.6,6,1.6,7.3v5.4c0,1.3,1.1,2.3,2.3,2.3 h2.6c0.4,0,0.8-0.2,0.9-0.6l0.3-0.6c0.4-0.9,1.3-1.5,2.4-1.5c1,0,1.9,0.6,2.4,1.5l0.3,0.6c0.2,0.4,0.5,0.6,0.9,0.6h2.5 c1.3,0,2.3-1.1,2.3-2.3c0-0.4,0.3-0.8,0.8-0.8c0.4,0,0.8,0.3,0.8,0.8C20,14.9,18.2,16.6,16.1,16.6L16.1,16.6z M16.7,9.4 c0-1.3-1.1-2.3-2.3-2.3C13,7.1,12,8.1,12,9.4s1.1,2.3,2.3,2.3C15.6,11.7,16.7,10.7,16.7,9.4L16.7,9.4z M15.1,9.4 c0,0.4-0.4,0.8-0.8,0.8c-0.4,0-0.8-0.4-0.8-0.8s0.4-0.8,0.8-0.8C14.8,8.6,15.1,9,15.1,9.4L15.1,9.4z M8,9.4C8,8.1,7,7.1,5.7,7.1 S3.3,8.1,3.3,9.4s1.1,2.3,2.3,2.3S8,10.7,8,9.4L8,9.4z M6.4,9.4c0,0.4-0.4,0.8-0.8,0.8c-0.4,0-0.8-0.4-0.8-0.8s0.4-0.8,0.8-0.8 C6.1,8.6,6.4,9,6.4,9.4L6.4,9.4z M6.4,9.4" } )
);
// async function getPano(id) {
//     try {
//         const response = await axios.get('/vr/wp-json/wpvr/v1/panodata/' + id);
//     } catch (error) {
//         console.error(error);
//     }
// }

registerBlockType( 'wpvr/wpvr-block', {
    title: 'WPVR', //Title seen in the editor for the block
    icon: iconEl, //using WordPress' dashboard icons
    category: 'common',
    

    edit: function(props) {
        var id = props.attributes.id;
        if(id == undefined){
            id = 0;
           
        }
        else {
            id = props.attributes.id;
           
        }

        var width = props.attributes.width;
        if(width == undefined){
            width = '600';
        }
        else {
            width = props.attributes.width;
        }

        var height = props.attributes.height;
        if(height == undefined){
            height = '400';
        }
        else {
            height = props.attributes.height;
        }

        // const content = '<script>console.log("String")</script><div id="#'+id+'" class="pano-wrap" style={"text-aligh:center; " }><i class="fa fa-times" id="cross"></i>div id="custom-ifram" style="display: none;"></div>'
        
        return [
            el( InspectorControls, {},
                el( TextControl, {
                    label: 'Id',
                    value: props.attributes.id,
                    onChange: ( value ) => { 
                        props.setAttributes( { id: value } ); 
                        // props.setAttributes( { content: content } );
                    },
                } )
            ),
            el( InspectorControls, {},
                el( TextControl, {
                    label: 'Width',
                    value: props.attributes.width,
                    onChange: ( value ) => { props.setAttributes( { width: value } ); },
                } )
            ),
            el( InspectorControls, {},
                el( TextControl, {
                    label: 'Height',
                    value: props.attributes.height,
                    onChange: ( value ) => { props.setAttributes( { height: value } ); },
                } )
            ),
            
            <p className="wpvr-block-content">WPVR id={id}, Width={width}px, Height={height}px</p>
        ];
    },

    save: function(props) {

        // const test = axios.get('/vr/wp-json/wpvr/v1/panodata/' + props.attributes.id)
        // .then(function (response) {            
        //     var wpvrdata = JSON.parse(response.data);
        //     var panoid = wpvrdata[0]['panoid'];
        //     var scenes = wpvrdata[1]; 
        //     // var panoshow = pannellum.viewer(panoid, scenes);
        // });
        // var width = props.attributes.width;
        // var height = props.attributes.height;
        // return (
        //     <div id={'pano' + props.attributes.id} class='pano-wrap' style={'text-aligh:center; width:' + width + ';height:' + height + ';' }>
        //         <i class="fa fa-times" id="cross"></i>	
        //         <div id="custom-ifram" style="display: none;">
        //         </div>
        //     </div>    
        // )
        return null;
    },
} );


